/*
	Harvest.org Daily Devotional Widget
	Copyright 2005 Trinet Internet Solutions, Inc.
*/

// Set initials
theScripture.opacity = 0;
theRef.opacity = 0;
d_contents.opacity = 100;
main_window.visible = true;
var sliderState = "open";


// get data from URL
var urlData = '';
var dDateTxt = '';
var dTitleTxt = '';
var dAuthorTxt = '';
var dPassageTxt = '';
var dRefTxt = '';
var dContentTxt = '';
var theHour = '';
var theMInute = '';
var theCurrentTime = '';

getTheData();

function getTheData()
{
	theDate.data = 'Connecting to harvest.org...';
	theScripture.data = 'Connecting to harvest.org...';
	
	sleep(20);
	
	var url = new URL();
	urlData = url.fetch("http://www.harvest.org/devotional/widget_info.php");
	urlData = urlData.replace(/[\r]*\n/g,"");
	
	dDateTxt = removeTags('date', urlData);
	dTitleTxt = removeTags('title', urlData);
	dAuthorTxt = removeTags('author', urlData);
	dPassageTxt = removeTags('scripture', urlData);
	dRefTxt = removeTags('scriptureref', urlData);
	dContentTxt = removeTags('devotion', urlData);
	dShortTxt = removeTags('scriptureshort', urlData);
	
	if(url.response < 400)
	{
		theDate.data = dDateTxt;
		theTitle.data = dTitleTxt;
		theAuthor.data = dAuthorTxt;
		theContent.data = dPassageTxt + "\n" + dRefTxt + "\n\n" + dContentTxt;
		theScripture.data = dShortTxt;
		theRef.data = dRefTxt;
	}
	else
	{
		theDate.data = 'You must be connected to the internet.';
	}
}

function getTheTime()
{
	var thedate = new Date();
	theHour = thedate.getHours();
	theMInute = thedate.getMinutes();
	theSeconds = thedate.getSeconds();
	theCurrentTime = theHour + ':' + theMInute + ':' + theSeconds;
	if(theCurrentTime == '6:30:10')
	{
		getTheData();
	}
}

function fadeText()
{
	if(theDate.opacity == 0)
	{
		// hide the scripture
		theScripture.opacity = 0;
		theRef.opacity = 0;
		sleep(10);
		// fade in the date
		theDate.fade(0, 255, 5);
		theTitle.fade(0, 255, 5);
		theAuthor.fade(0, 255, 5);

	}
	else
	{
		// fade out the date
		theDate.fade(255, 0, 5);
		theTitle.fade(255, 0, 5);
		theAuthor.fade(255, 0, 5);
		sleep(20);
		// reveal the scripture
		theScripture.opacity = 255;
		theRef.opacity = 255;
	}
}

function sliderUp()
{
	if (sliderState == "open") {
		theContent.opacity = 0;
		theContent.scrollbar = false;
		d_contents.slide("up", 100, 2);
		sliderState = "closed";
	}
}

function sliderDown()
{
	if (sliderState == "closed") {
		d_contents.slide("down", 100, 2);
		theContent.opacity = 255;
		theContent.scrollbar = true;
		sliderState = "open";
	}
}

function removeTags(the_tag, the_string)
{
	var ot = '<' + the_tag + '>';
	var ct = '</' + the_tag + '>';

	var gt = '<' + the_tag + '>(.*?)</' + the_tag + '>';
	var my_re = new RegExp(gt, "gi")
	new_string = the_string.match(gt);
	new_string = new_string[1];
	new_string = replaceAll(new_string, '<br>', "\n");
	return new_string;
}

function replaceAll(str, from, to)
{
    var idx = str.indexOf(from);
    while (idx > -1)
    {
        str = str.replace(from, to); 
        idx = str.indexOf(from);
    }
    return str;
}